Activity log for bug #1460521

Date Who What changed Old value New value Message
2015-06-01 05:51:41 Shih-Yuan Lee bug added bug
2015-06-01 06:06:45 Launchpad Janitor branch linked lp:~fourdollars/ubuntu/trusty/efibootmgr/1460521
2015-06-01 06:22:21 Shih-Yuan Lee bug added subscriber Ubuntu Sponsors Team
2015-06-01 09:00:31 Shih-Yuan Lee removed subscriber Ubuntu Sponsors Team
2015-06-01 11:13:36 Shih-Yuan Lee attachment added test_efi.sh https://bugs.launchpad.net/ubuntu/+source/efibootmgr/+bug/1460521/+attachment/4408001/+files/test_efi.sh
2015-06-01 11:16:23 Shih-Yuan Lee bug added subscriber Ubuntu Sponsors Team
2015-06-05 09:58:49 Shih-Yuan Lee branch unlinked lp:~fourdollars/ubuntu/trusty/efibootmgr/1460521
2015-06-05 09:58:55 Shih-Yuan Lee removed subscriber Ubuntu Sponsors Team
2015-06-05 10:10:01 Shih-Yuan Lee branch linked lp:~fourdollars/ubuntu/trusty/efibootmgr/1460521
2015-06-05 10:13:08 Shih-Yuan Lee branch unlinked lp:~fourdollars/ubuntu/trusty/efibootmgr/1460521
2015-06-09 05:54:58 Shih-Yuan Lee branch linked lp:~fourdollars/ubuntu/trusty/efibootmgr/1460521
2015-06-09 05:57:17 Shih-Yuan Lee bug added subscriber Ubuntu Sponsors Team
2015-06-09 14:35:31 Steve Langasek nominated for series Ubuntu Trusty
2015-06-09 14:35:31 Steve Langasek bug task added efibootmgr (Ubuntu Trusty)
2015-06-09 14:35:54 Steve Langasek efibootmgr (Ubuntu): status New Fix Released
2015-06-09 14:57:31 Steve Langasek efibootmgr (Ubuntu Trusty): status New Triaged
2015-06-09 14:57:40 Steve Langasek efibootmgr (Ubuntu Trusty): assignee Mathieu Trudel-Lapierre (mathieu-tl)
2015-06-10 07:30:52 Keng-Yu Lin bug added subscriber Canonical Hardware Enablement Team
2015-06-11 13:34:25 Keng-Yu Lin hwe-next: assignee Ivan Hu (ivan.hu)
2015-06-11 13:34:29 Keng-Yu Lin hwe-next: importance Undecided High
2015-06-23 01:44:13 Ivan Hu hwe-next: status New Triaged
2015-06-26 00:26:55 Mathieu Trudel-Lapierre description There is no such issue in Ubuntu 14.10 or 15.04. $ lsb_release -a No LSB modules are available. Distributor ID: Ubuntu Description: Ubuntu 14.04.2 LTS Release: 14.04 Codename: trusty $ dpkg-query -W efibootmgr efibootmgr 0.5.4-7ubuntu1.1 $ sudo efibootmgr -v || echo "*failed*" BootCurrent: 0000 Timeout: 0 seconds BootOrder: 0000 Boot0000* ubuntu HD(1,800,100000,b8d7d8e9-4ac4-46cc-8bd0-8d90d6df1df4)File(\EFI\ubuntu\shimx64.efi) $ sudo efibootmgr -v -B -b 0 || echo "*failed*" *failed* $ sudo efibootmgr -v || echo "*failed*" BootCurrent: 0000 Timeout: 0 seconds BootOrder: 0000 $ sudo efibootmgr -v -c -L ubuntu -l \\EFI\\ubuntu\\shimx64.efi || echo "*failed*" BootCurrent: 0000 Timeout: 0 seconds BootOrder: 0000,0000 Boot0000* ubuntu HD(1,800,100000,b8d7d8e9-4ac4-46cc-8bd0-8d90d6df1df4)File(\EFI\ubuntu\shimx64.efi) You can see BootOrder having the duplicate 0000. [Impact] Trusty users who attempt to reorganize EFI boot entries aggressively (deleting everything and creating a new Ubuntu entry, or deleting everything and leaving the installer create a new entry) may run into issues when a new BootOrder entry is created with an empty list: they will find a duplicate entry for the one added. Upon the last deletion, users may also find that the command reports failure when the BootOrder entry was deleted successfully. [Test case] - Run the provided test_efi.sh on a system booted in EFI mode (that has EFI support). This test is destructive, only run it on a system if you know what you are doing and are able to recreate the appropriate Boot entries for starting the system. This is runnable also on qemu, provided one uses the UEFI OVMF BIOS: 0) sudo apt install ovmf 1) qemu-img create -f qcow2 disks/efi-testdisk1.qcow2 32g 2) qemu-system-x86_64 -name efi-test-x86_64 -enable-kvm -monitor stdio -serial pty -boot menu=on -m 1024 -m 1024 -bios /usr/share/qemu/OVMF.fd -net user -net nic -drive file=trusty-desktop-amd64.iso,media=cdrom -drive file=disks/efi-testdisk1.qcow2 [Regression Potential] A failure case following the application of this fix may be that BootOrder entries remain after deletion of a Boot entry when it should have been removed from the list. BIOSes should successfully recover from this if there are other valid BootOrder entries to boot from, but may fail to do so. ---- There is no such issue in Ubuntu 14.10 or 15.04. $ lsb_release -a No LSB modules are available. Distributor ID: Ubuntu Description: Ubuntu 14.04.2 LTS Release: 14.04 Codename: trusty $ dpkg-query -W efibootmgr efibootmgr 0.5.4-7ubuntu1.1 $ sudo efibootmgr -v || echo "*failed*" BootCurrent: 0000 Timeout: 0 seconds BootOrder: 0000 Boot0000* ubuntu HD(1,800,100000,b8d7d8e9-4ac4-46cc-8bd0-8d90d6df1df4)File(\EFI\ubuntu\shimx64.efi) $ sudo efibootmgr -v -B -b 0 || echo "*failed*" *failed* $ sudo efibootmgr -v || echo "*failed*" BootCurrent: 0000 Timeout: 0 seconds BootOrder: 0000 $ sudo efibootmgr -v -c -L ubuntu -l \\EFI\\ubuntu\\shimx64.efi || echo "*failed*" BootCurrent: 0000 Timeout: 0 seconds BootOrder: 0000,0000 Boot0000* ubuntu HD(1,800,100000,b8d7d8e9-4ac4-46cc-8bd0-8d90d6df1df4)File(\EFI\ubuntu\shimx64.efi) You can see BootOrder having the duplicate 0000.
2015-06-26 01:08:59 Mathieu Trudel-Lapierre removed subscriber Ubuntu Sponsors Team
2015-06-26 01:09:05 Mathieu Trudel-Lapierre bug added subscriber Ubuntu Stable Release Updates Team
2015-06-26 01:09:14 Mathieu Trudel-Lapierre efibootmgr (Ubuntu Trusty): status Triaged In Progress
2015-06-30 15:54:55 Steve Langasek efibootmgr (Ubuntu Trusty): status In Progress Fix Committed
2015-06-30 15:54:59 Steve Langasek bug added subscriber SRU Verification
2015-06-30 15:55:05 Steve Langasek tags verification-needed
2015-06-30 16:06:03 Launchpad Janitor branch linked lp:ubuntu/trusty-proposed/efibootmgr
2015-07-01 01:57:01 Shih-Yuan Lee tags verification-needed verification-done
2015-07-08 04:17:57 Launchpad Janitor efibootmgr (Ubuntu Trusty): status Fix Committed Fix Released
2015-07-08 04:18:00 Scott Kitterman removed subscriber Ubuntu Stable Release Updates Team
2015-07-08 06:53:14 Ivan Hu hwe-next: status Triaged Fix Released